package ru.dbotthepony.mc.otm.network

import net.minecraftforge.network.NetworkDirection
import ru.dbotthepony.mc.otm.item.weapon.WeaponFireInputPacket
import ru.dbotthepony.mc.otm.item.weapon.WeaponScopePacket

object WeaponNetworkChannel : MatteryNetworkChannel(
	version = "2",
	name = "weapon"
) {
	fun register() {
		add(WeaponScopePacket::class.java, WeaponScopePacket.Companion::read, NetworkDirection.PLAY_TO_SERVER)
		add(WeaponFireInputPacket::class.java, WeaponFireInputPacket.Companion::read, NetworkDirection.PLAY_TO_SERVER)
	}
}
